package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * A类证书对象 grad_table
 *
 * @author ruoyi
 * @date 2022-12-05
 */
public class GradTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 证书类型 */
    @Excel(name = "证书类型")
    private Integer certType;

    /** 姓名 */
    @Excel(name = "姓名")
    private String uesrName;

    /** 身份证 */
    @Excel(name = "身份证")
    private String userId;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String certId;

    /** 发证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发证时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date issueDate;

    /** 培训名称 */
    @Excel(name = "培训名称")
    private String certName;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 学时数 */
    @Excel(name = "学时数")
    private String courseHours;

    /** 等级 */
    @Excel(name = "等级")
    private String level;

    /** 培训时间段 */
    @Excel(name = "培训时间段")
    private String trainPeriod;

    /** 照片 */
    @Excel(name = "照片")
    private String picture;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String userPhone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String userEmail;

    /** 导入系统的时间戳 */
    private Date updateDate;

    /** 自增id */
    private Integer id;

    public void setCertType(Integer certType)
    {
        this.certType = certType;
    }

    public Integer getCertType()
    {
        return certType;
    }
    public void setUesrName(String uesrName)
    {
        this.uesrName = uesrName;
    }

    public String getUesrName()
    {
        return uesrName;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setCertId(String certId)
    {
        this.certId = certId;
    }

    public String getCertId()
    {
        return certId;
    }
    public void setIssueDate(Date issueDate)
    {
        this.issueDate = issueDate;
    }

    public Date getIssueDate()
    {
        return issueDate;
    }
    public void setCertName(String certName)
    {
        this.certName = certName;
    }

    public String getCertName()
    {
        return certName;
    }
    public void setCourseName(String courseName)
    {
        this.courseName = courseName;
    }

    public String getCourseName()
    {
        return courseName;
    }
    public void setCourseHours(String courseHours)
    {
        this.courseHours = courseHours;
    }

    public String getCourseHours()
    {
        return courseHours;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setTrainPeriod(String trainPeriod)
    {
        this.trainPeriod = trainPeriod;
    }

    public String getTrainPeriod()
    {
        return trainPeriod;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }
    public void setUserPhone(String userPhone)
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone()
    {
        return userPhone;
    }
    public void setUserEmail(String userEmail)
    {
        this.userEmail = userEmail;
    }

    public String getUserEmail()
    {
        return userEmail;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("certType", getCertType())
                .append("uesrName", getUesrName())
                .append("userId", getUserId())
                .append("certId", getCertId())
                .append("issueDate", getIssueDate())
                .append("certName", getCertName())
                .append("courseName", getCourseName())
                .append("courseHours", getCourseHours())
                .append("level", getLevel())
                .append("trainPeriod", getTrainPeriod())
                .append("picture", getPicture())
                .append("userPhone", getUserPhone())
                .append("userEmail", getUserEmail())
                .append("updateDate", getUpdateDate())
                .append("id", getId())
                .toString();
    }
}
