package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.GradTableMapper;
import com.ruoyi.system.domain.GradTable;
import com.ruoyi.system.service.IGradTableService;

/**
 * A类证书Service业务层处理
 *
 * @author ruoyi
 * @date 2022-12-05
 */
@Service
public class GradTableServiceImpl implements IGradTableService
{
    @Autowired
    private GradTableMapper gradTableMapper;

    /**
     * 查询A类证书
     *
     * @param id A类证书主键
     * @return A类证书
     */
    @Override
    public GradTable selectGradTableById(Integer id)
    {
        return gradTableMapper.selectGradTableById(id);
    }

    /**
     * 查询A类证书列表
     *
     * @param gradTable A类证书
     * @return A类证书
     */
    @Override
    public List<GradTable> selectGradTableList(GradTable gradTable)
    {
        return gradTableMapper.selectGradTableList(gradTable);
    }

    /**
     * 新增A类证书
     *
     * @param gradTable A类证书
     * @return 结果
     */
    @Override
    public int insertGradTable(GradTable gradTable)
    {
        return gradTableMapper.insertGradTable(gradTable);
    }

    /**
     * 修改A类证书
     *
     * @param gradTable A类证书
     * @return 结果
     */
    @Override
    public int updateGradTable(GradTable gradTable)
    {
        return gradTableMapper.updateGradTable(gradTable);
    }

    /**
     * 批量删除A类证书
     *
     * @param ids 需要删除的A类证书主键
     * @return 结果
     */
    @Override
    public int deleteGradTableByIds(Integer[] ids)
    {
        return gradTableMapper.deleteGradTableByIds(ids);
    }

    /**
     * 删除A类证书信息
     *
     * @param id A类证书主键
     * @return 结果
     */
    @Override
    public int deleteGradTableById(Integer id)
    {
        return gradTableMapper.deleteGradTableById(id);
    }
}
