import request from '@/utils/request'

// 查询B类列表
export function listContract(query) {
  return request({
    url: '/system/contract/list',
    method: 'get',
    params: query
  })
}

// 查询B类详细
export function getContract(id) {
  return request({
    url: '/system/contract/' + id,
    method: 'get'
  })
}

// 新增B类
export function addContract(data) {
  return request({
    url: '/system/contract',
    method: 'post',
    data: data
  })
}

// 修改B类
export function updateContract(data) {
  return request({
    url: '/system/contract',
    method: 'put',
    data: data
  })
}

// 删除B类
export function delContract(id) {
  return request({
    url: '/system/contract/' + id,
    method: 'delete'
  })
}

//获取B类证书 
export function getCert(data) {
  return request({
    url: '/system/contract/getInfoByCode',
    method: 'post',
    headers : {
      isToken : false
    },
    data: data
  })
}

export function checkCode(data){
  return request({
    url: '/system/contract/captchaCheck',
    method: 'post',
    headers : {
      isToken : false
    },
    data: data
  })
}